from browser import document, html, bind

def punktAlsString(s, t):
    return "("+str(s)+","+str(t)+")"

document <= html.P("Bitte die rote Box mit den Cursor-Tasten bewegen!")

xMax, yMax = 10, 6

raster = html.TABLE()
beschriftung = [[punktAlsString(x,y) for y in range(yMax)] for x in range(xMax)]

raster <= (html.TR(html.TD(beschriftung[x][y], id=beschriftung[x][y]) for x in range(xMax)) for y in range(yMax))
         
document <= raster

for y in range(yMax):
    for x in range(xMax):
        document[punktAlsString(x,y)].className="passiv"

p, q = (xMax - 1) // 2, (yMax - 1) // 2

document[punktAlsString(p,q)].className="aktiv"

@bind(document, "keydown")
def verarbeiteTasteRunter(ereignis):
    global p, q
    if ereignis.keyCode == 39:
        if p < xMax - 1:
            document[punktAlsString(p,q)].className="passiv"
            p += 1
            document[punktAlsString(p,q)].className="aktiv"
    elif ereignis.keyCode == 37:
        if p > 0:
            document[punktAlsString(p,q)].className="passiv"
            p -= 1
            document[punktAlsString(p,q)].className="aktiv"
    elif ereignis.keyCode == 40:
        if q < yMax - 1:
            document[punktAlsString(p,q)].className="passiv"
            q += 1
            document[punktAlsString(p,q)].className="aktiv"
    elif ereignis.keyCode == 38:
        if q > 0:
            document[punktAlsString(p,q)].className="passiv"
            q -= 1
            document[punktAlsString(p,q)].className="aktiv"
    else:
        print(ereignis.keyCode)
